libfuse

Data Fields
fuse_bufvec Struct Reference

`#include <fuse_common.h>`

## Data Fields
size_t | count
size_t | idx
size_t | off
struct fuse_buf | buf [1]

## Detailed Description

Data buffer vector

An array of data buffers, each containing a memory pointer or a file descriptor.

Allocate dynamically to add more than one buffer.

## Field Documentation

## ◆ buf

struct fuse_buf fuse_bufvec::buf[1]

Array of buffers

## ◆ count

size_t fuse_bufvec::count

Number of buffers in the array

## ◆ idx

size_t fuse_bufvec::idx

Index of current buffer within the array

## ◆ off

size_t fuse_bufvec::off

Current offset within the current buffer

The documentation for this struct was generated from the following file:

- include/fuse_common.h